<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s0="http://localhost/FullName/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" targetNamespace="http://localhost/FullName/" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://localhost/FullName/">
      <s:element name="FullName">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="strFName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="strLName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="FullNameResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FullNameResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="string" nillable="true" type="s:string" />
    </s:schema>
  </types>
  <message name="FullNameSoapIn">
    <part name="parameters" element="s0:FullName" />
  </message>
  <message name="FullNameSoapOut">
    <part name="parameters" element="s0:FullNameResponse" />
  </message>
  <message name="FullNameHttpGetIn">
    <part name="strFName" type="s:string" />
    <part name="strLName" type="s:string" />
  </message>
  <message name="FullNameHttpGetOut">
    <part name="Body" element="s0:string" />
  </message>
  <message name="FullNameHttpPostIn">
    <part name="strFName" type="s:string" />
    <part name="strLName" type="s:string" />
  </message>
  <message name="FullNameHttpPostOut">
    <part name="Body" element="s0:string" />
  </message>
  <portType name="FullNameSoap">
    <operation name="FullName">
      <input message="s0:FullNameSoapIn" />
      <output message="s0:FullNameSoapOut" />
    </operation>
  </portType>
  <portType name="FullNameHttpGet">
    <operation name="FullName">
      <input message="s0:FullNameHttpGetIn" />
      <output message="s0:FullNameHttpGetOut" />
    </operation>
  </portType>
  <portType name="FullNameHttpPost">
    <operation name="FullName">
      <input message="s0:FullNameHttpPostIn" />
      <output message="s0:FullNameHttpPostOut" />
    </operation>
  </portType>
  <binding name="FullNameSoap" type="s0:FullNameSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document" />
    <operation name="FullName">
      <soap:operation soapAction="http://localhost/FullName/FullName" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
  </binding>
  <binding name="FullNameHttpGet" type="s0:FullNameHttpGet">
    <http:binding verb="GET" />
    <operation name="FullName">
      <http:operation location="/FullName" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <binding name="FullNameHttpPost" type="s0:FullNameHttpPost">
    <http:binding verb="POST" />
    <operation name="FullName">
      <http:operation location="/FullName" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <service name="FullName">
    <documentation>This web service returns a full name.</documentation>
    <port name="FullNameSoap" binding="s0:FullNameSoap">
      <soap:address location="http://localhost/FullName/NameService.asmx" />
    </port>
    <port name="FullNameHttpGet" binding="s0:FullNameHttpGet">
      <http:address location="http://localhost/FullName/NameService.asmx" />
    </port>
    <port name="FullNameHttpPost" binding="s0:FullNameHttpPost">
      <http:address location="http://localhost/FullName/NameService.asmx" />
    </port>
  </service>
</definitions>